import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import PropTypes from 'prop-types';
var BASE_CLASS = 'sui-AtomInput-withButton';

var InlineFormHoc = function InlineFormHoc(WrappedInput) {
  var Input = function Input(_ref) {
    var button = _ref.button,
        props = _objectWithoutPropertiesLoose(_ref, ["button"]);

    return button ? React.createElement("div", {
      className: BASE_CLASS
    }, React.createElement("div", {
      className: BASE_CLASS + "-input"
    }, React.createElement(WrappedInput, props)), React.createElement("div", {
      className: BASE_CLASS + "-button"
    }, button)) : React.createElement(WrappedInput, props);
  };

  return Input;
};

export default InlineFormHoc;